@import url("../css/bootstrap-icons.css");

/*
@font-face {
    font-family: 'futura-lt-w01-light';
    font-style: normal;
    font-weight: 400;
    src: url('//static.parastorage.com/fonts/v2/8e5b5cbc-6ad9-49f7-aee7-4e5133c3ee4d/v1/futura-lt-w01-light.woff2') format('woff2');
    unicode-range: U+0000, U+000D, U+0020-007E, U+00A0-00FF, U+0110, U+0131, U+0152-0153, U+0160-0161, U+0178, U+017D-017E, U+0192, U+0237, U+02C6-02C7, U+02DA, U+02DC, U+2013-2014, U+2018-201A, U+201C-201E, U+2020-2022, U+2026, U+2030, U+2039-203A, U+2044, U+20AC, U+2122;
    font-display: swap;
}


@font-face {
    font-family: 'futura-lt-w01-book';
    font-style: normal;
    font-weight: 400;
    src: url('//static.parastorage.com/fonts/v2/790166f1-b347-4f16-8a29-f0c4931a7c35/v1/futura-lt-w01-book.woff2') format('woff2');
    unicode-range: U+0000, U+000D, U+0020-007E, U+00A0-00FF, U+0110, U+0131, U+0152-0153, U+0160-0161, U+0178, U+017D-017E, U+0192, U+0237, U+02C6-02C7, U+02DA, U+02DC, U+2013-2014, U+2018-201A, U+201C-201E, U+2020-2022, U+2026, U+2030, U+2039-203A, U+2044, U+20AC, U+2122;
    font-display: swap;
}
*/






/* jost-200 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Jost';
  font-style: normal;
  font-weight: 200;
  src: url('../fonts/jost-v20-latin-200.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* jost-300 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Jost';
  font-style: normal;
  font-weight: 300;
  src: url('../fonts/jost-v20-latin-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* jost-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Jost';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/jost-v20-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}



/* jost-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Jost';
  font-style: normal;
  font-weight: 500;
  src: url('../fonts/jost-v20-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}


/* jost-600 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Jost';
  font-style: normal;
  font-weight: 600;
  src: url('../fonts/jost-v20-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* jost-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Jost';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/jost-v20-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}






/* josefin-sans-100 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Josefin Sans';
  font-style: normal;
  font-weight: 100;
  src: url('../fonts/josefin-sans-v34-latin-100.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* josefin-sans-200 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Josefin Sans';
  font-style: normal;
  font-weight: 200;
  src: url('../fonts/josefin-sans-v34-latin-200.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* josefin-sans-300 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Josefin Sans';
  font-style: normal;
  font-weight: 300;
  src: url('../fonts/josefin-sans-v34-latin-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* josefin-sans-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Josefin Sans';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/josefin-sans-v34-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}



/* josefin-sans-600 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Josefin Sans';
  font-style: normal;
  font-weight: 600;
  src: url('../fonts/josefin-sans-v34-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}




:root {
    --bg-soft: #f8f5f2;
    --black-color: #2f2e2e;
    --grey-color:#a0a09f;
    --blue-color: #344a5f;
    --green-color:#41baae;
    --footer-blue: #212739;
    --navbar-height: 89px;
}


body{
    font-family: "Jost";
    font-size: 16px;
    font-weight: 300;
    line-height: 1.5;
    color: var(--black-color);
    margin-top: var(--navbar-height);
}

body#tinymce {
  margin-top: 0px;
  padding: 10px;
}

html :where(.editor-styles-wrapper) :where(.wp-block) {
  max-width: 1200px;
}

.soon-text,b,strong{
    font-family: 'Jost';
    font-weight: 500;
}

.small-text,.ff-default .ff-el-input--label label{
     font-size: 14px;
}


h1{
    font-family: 'Josefin Sans';
    line-height: 1;
    font-size: 33px;
    font-weight: 500;
    margin-bottom: 4rem;
    text-transform: uppercase;

}
h2,.h2{
    font-family: 'Josefin Sans';
    line-height: 1.2;
    font-size: 28px;
    font-weight: 400;
    margin-bottom: 1.5rem;
    text-transform: uppercase;

}

h3,.h3{
    font-family: 'Josefin Sans';
    line-height: 1.2;
    font-size: 22px;
    font-weight: 400;
    text-transform: uppercase
}

h4,.h4{
    font-family: 'Josefin Sans';
    line-height: 1.2;
    font-size: 18px;
    font-weight: 400;
    text-transform: uppercase
}

.sub-headline{
    font-family: 'Josefin Sans';
    line-height: 1.2;
    font-size: 14px;
    font-weight: 700;
    margin-bottom: 1.5rem;
    text-transform: uppercase
}

p + h2, p + h3,
ul + h2, ul + h3,
ol + h2, ol + h3,
figure+ h2, figure + h3{
    margin-top:2.5rem
}


h1 span{
    display: block;
    font-size:20px;
}


.social-media {
  position: fixed;
  right: 0px;
  top: 40%;
  background-color:  var(--bg-soft);
  padding:6px 12px;
  z-index: 5;
}
.social-media a{
    display: block;
    font-size:30px;
    color: var(--black-color);
}


.social-media-mobile{
    
     
}
.social-media-mobile a{
    display: inline-block;
    font-size:30px;
    margin:0px 6px
}



a{
    color:inherit
}



.btn {
    --bs-btn-padding-x: 1.75rem;
    --bs-btn-line-height: 1.5;
    border-radius:0px;
     font-family: 'Josefin Sans';
    font-weight:400;
    
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--blue-color);
  --bs-btn-border-color: var(--blue-color);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--green-color);
  --bs-btn-hover-border-color:var(--green-color);

}

.btn-secondary {
  --bs-btn-color:  var(--blue-color);
  --bs-btn-bg: #fff;
  --bs-btn-border-color: var(--blue-color);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--green-color);
  --bs-btn-hover-border-color: var(--green-color);

}


footer{
    background-color: var(--footer-blue);
    color:#fff
}


ul.menu{
    list-style: none;
    padding: 0;
}


.textwrapper img{
    width:100%;
    height: auto;
}

.parallax-section {
    position: relative;
    height: 36vw;
    overflow: hidden;
}

.parallax-bg {
    position: absolute;
    top: -20%;
    left: 0;
    width: 100%;
    height: 140%;

    background-image: url('../img/parallax.jpg');
    background-size: 100%!important;
    background-position: center!important;

    -webkit-transform: translateY(0);

    transform: translateY(0);
    will-change: transform;
}

.parallax-section .container {
    position: relative;
    z-index: 2;
}



.imgwrapper {
    height: 500px;
    width: 100%;
    background-size: cover!important;
     background-position: right center!important;
}
.imgwrapper2 {
    background-size: cover!important;
     background-position: center center!important;
}




.fullimg-section{
     background-size: cover!important;
     background-position: center center!important;
    height: 36vw;
}


.video-section {
    position: relative;
    width: 100%;
    height: 500px; /* feste Höhe */
    overflow: hidden;
}

.video-section .video-bg {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -o-object-fit: cover;
    object-fit: cover; /* sorgt dafür, dass das Video den Bereich füllt */
    z-index: 1;
}

.video-section .video-overlay {
    position: relative;
    z-index: 2;
    width: 100%;
    height: 100%;
    padding: 0 20px;
}

.video-section h1,
.video-section p {
    text-shadow: 0 2px 6px rgba(0,0,0,0.5); /* besser lesbar */
}




.iframe-container {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%; /* 16:9 Verhältnis, anpassen falls nötig */
    height: 100vh; /* volle Höhe des Viewports */
    overflow: hidden;
}

.iframe-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
}









.navbar {
    background-color: var(--bg-soft)
}

.navbar .container {
    /*
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
    */
}

#navbarNav{
    margin-top: 7px
}
.nav-link{
    padding-top:15px;
    padding-right:30px!important;
    font-family: 'Jost';
    font-weight:500;
    font-size:14px;
    white-space: nowrap;
    border-top: 3px solid transparent;
}
.nav-item {
  border-top: 1px solid var(--black-color);
  margin-left: 10px;
  text-transform: uppercase;
  height: 50px;
}

.nav-link.active,.nav-link:hover{
   border-top: 3px solid var(--black-color);
}



.navbar-collapse {
  -webkit-box-flex: 0;
  -ms-flex-positive: 0;
  flex-grow: 0;   /* verhindert volle Breite */
}


hr {
  margin: 0.5rem 0;
}


hr:not(.normal-hr){
  width: 1px;
  height: 65px;   
  margin: 1rem auto 2rem;
  border: none;
  background-color: var(--black-color);
  opacity: 1
}

.wp-block-image img {
  width: 100%;
}

.wp-block-button__link {
  border:1px solid var(--blue-color);
  padding: 8px 20px 4px;
  color: #fff;
  background-color: var(--blue-color);
  border-color: var(--blue-color);
  border-radius: 0px;
  font-family: 'Josefin Sans';
  font-weight: 400;
    -webkit-transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
}
.wp-block-button__link:hover {
  color: #fff;
  background-color: var(--green-color);
  border-color: var(--green-color);
}


.btn-inverse .wp-block-button__link {
    color: var(--blue-color);
    background-color: #ffffff;
    border-color: var(--blue-color);
}

.btn-inverse .wp-block-button__link:hover {
  color: #fff;
  background-color: var(--green-color);
  border-color: var(--green-color);
}



.teaser-wertermittlung {
  position: absolute;
  top: -24%;
  left: 20%;
}


.fluentform {
  background-color: var(--bg-soft);
  padding: 1.5rem;
   -webkit-box-shadow: rgba(47, 46, 46, 0.15) 0px 0px 25px 0px;
   box-shadow: rgba(47, 46, 46, 0.15) 0px 0px 25px 0px
}




.card-img-top {
  -o-object-fit: cover;
  object-fit: cover;
}
.card-title {
  text-transform: none;
}